Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.teleal.cling.support.messagebox.parser
Class MessageDOM

    java.lang.Object
      org.teleal.common.xml.DOM
          org.teleal.cling.support.messagebox.parser.MessageDOM

    public class MessageDOM

extends org.teleal.common.xml.DOM

Author:
  Christian Bauer

Field Summary
`static String` | `NAMESPACE_URI`

Fields inherited from class org.teleal.common.xml.DOM
`CDATA_BEGIN, CDATA_END, XML_SCHEMA_NAMESPACE`

Constructor Summary
`MessageDOM(Document dom)`

Method Summary
`MessageDOM` | `copy()`
`MessageElement` | `createRoot(XPath xpath, String element)`
`MessageElement` | `getRoot(XPath xPath)`
`String` | `getRootElementNamespace()`

Methods inherited from class org.teleal.common.xml.DOM
`createRoot, getW3CDocument`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

Constructor Detail

### MessageDOM

    public MessageDOM(Document dom)

Method Detail

### getRootElementNamespace

    public String getRootElementNamespace()

  Specified by:
    `getRootElementNamespace` in class `org.teleal.common.xml.DOM`

### getRoot

    public MessageElement getRoot(XPath xPath)

  Specified by:
    `getRoot` in class `org.teleal.common.xml.DOM`

### copy

    public MessageDOM copy()

  Specified by:
    `copy` in class `org.teleal.common.xml.DOM`

### createRoot

    public MessageElement createRoot(XPath xpath,
                                     String element)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Teleal GmbH, Switzerland. All Rights Reserved.